## kservice 5.18.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.12)

project(KService)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(GenerateExportHeader)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION}
                  VARIABLE_PREFIX KSERVICE
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kservice_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfigVersion.cmake"
                  SOVERSION 5)

set(APPLICATIONS_MENU_NAME applications.menu
    CACHE STRING "Name to install the applications.menu file as.")

# TODO: Remove these
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

# Dependencies
set(REQUIRED_QT_VERSION "5.3.0")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus Xml)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION})

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Service")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ServiceConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(EXPORT KF5ServiceTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ServiceTargets.cmake NAMESPACE KF5:: )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfigVersion.cmake"
              "${CMAKE_CURRENT_SOURCE_DIR}/KF5ServiceMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kservice_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

add_definitions(-DTRANSLATION_DOMAIN=\"kservice5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)

    if (KF5DocTools_FOUND)
        kdoctools_install(po)
    endif()
endif()

if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

add_subdirectory(pluginlocator)

include(ECMMarkAsTest)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

macro(kservice_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} KF5::Service)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kservice_executable_tests(
  startserviceby
  kdbusservicestartertest
  kservicegroup_dumper
  findservice
)

## kservice 5.3.0

=== debian/changelog ===
kservice (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:16:42 +0100

kservice (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts
  * desktoptojson removed upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:55:08 +0200

kservice (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:29:09 +0200

kservice (5.0.0-0ubuntu2) utopic; urgency=medium

  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 31 Jul 2014 12:00:25 +0200

kservice (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 15:58:02 +0200

=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               dbus-x11,
               debhelper (>= 9.0.0),
               docbook-xml,
               docbook-xsl,
               extra-cmake-modules (>= 1.2.0),
               kdoctools-dev (>= 5.3.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5crash-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kservice
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kservice.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kservice.git

Package: libkf5service-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev,
         libkf5coreaddons-dev,
         libkf5dbusaddons-dev,
         libkf5i18n-dev,
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libkf5service-data (= ${source:Version})
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

Package: libkf5service5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5service5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains debug symbols for kservice.

## kservice 5.9.0

=== debian/changelog ===
kservice (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:23:56 +0200

kservice (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:31:09 +0100

kservice (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:13:33 +0100

kservice (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:44:41 +0100

kservice (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:25:02 +0100

kservice (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:07:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,23 @@
                debhelper (>= 9.0.0),
                docbook-xml,
                docbook-xsl,
-               extra-cmake-modules (>= 1.2.0),
-               kdoctools-dev (>= 5.3.0),
-               libkf5archive-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5crash-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               kdoctools-dev (>= 5.9.0),
+               libkf5archive-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5crash-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
                libxml2-utils,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kservice
 XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kservice.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kservice.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kservice.git
 
 Package: libkf5service-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5service5-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kservice-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kservice-(.*)\.tar\.xz

## kservice 5.15.0

=== debian/changelog ===
kservice (5.15.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:55:57 +0100

kservice (5.14.3-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Added new symbols and removed MISSING

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:26:24 +0100

kservice (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:30:49 +0200

kservice (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge.

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:09:04 +0200

kservice (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 14:51:03 +0200

kservice (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:06:31 +0200

kservice (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:36 +0200

kservice (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:39:07 +0100

kservice (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:55 +0100

kservice (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add acc autopkgtests.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Jan 2015 13:43:23 +0100

=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               docbook-xml,
               docbook-xsl,
               extra-cmake-modules (>= 5.15.0~),
               kdoctools-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kservice
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kservice.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kservice.git

Package: libkf5service-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.15.0~),
         libkf5coreaddons-dev (>= 5.15.0~),
         libkf5dbusaddons-dev (>= 5.15.0~),
         libkf5i18n-dev (>= 5.15.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5service5 (<< 5.12.0~)
Replaces: libkf5service5 (<< 5.12.0~)
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5service5 (<< 5.12.0~)
Replaces: libkf5service5 (<< 5.12.0~)
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

Package: libkf5service5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5service5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains debug symbols for kservice.

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         kded5, libkf5service-bin
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## kservice 5.18.0

=== debian/changelog ===
kservice (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:24:40 +0100

kservice (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:13:06 +0100

kservice (5.15.0+-1) unstable; urgency=medium

  * Respin of the fixed upstream release 5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 13 Oct 2015 19:53:34 +0200

kservice (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.3-1).
  * Drop patch: kubuntu_rename-application-menu-file.diff
  * Update symbols files.
  * Define applications_menu_name cmake var.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:17:04 +0200

kservice (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:47 +0100

kservice (5.15.0-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 08 Oct 2015 11:07:03 -0700

kservice (5.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Re-arrange internal package dependency relatiionships as was done with
    kwallet so that users with Recommends disabled get a working package
    (Closes: #799951)
    - Add libkf5service-bin as an extra dependency in libkf5service5.symbols
      so that packages that depend on libkf5service5 will also depend on
      libkf5service-bin

 -- Scott Kitterman <scott@kitterman.com>  Fri, 25 Sep 2015 23:40:27 -0400

kservice (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Refresh patches.
  * Removed private classes from exported symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:50:23 +0200

kservice (5.13.0-2) unstable; urgency=medium

  * Bump build dependencies versions.
  * Update symbols from 5.13.0-1 buildlogs.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 15:41:17 +0200

kservice (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 20:01:57 +0200

kservice (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update symbols files for gcc5 compatibility. (Closes: #791744)
    Thanks to Martin Michlmayr

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:44:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,29 +8,28 @@
                debhelper (>= 9),
                docbook-xml,
                docbook-xsl,
-               extra-cmake-modules (>= 5.15.0~),
-               kdoctools-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5crash-dev (>= 5.15.0~),
-               libkf5dbusaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kdoctools-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5crash-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
                libxml2-utils,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kservice
-XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kservice.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kservice.git
 
 Package: libkf5service-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.15.0~),
-         libkf5coreaddons-dev (>= 5.15.0~),
-         libkf5dbusaddons-dev (>= 5.15.0~),
-         libkf5i18n-dev (>= 5.15.0~),
+Depends: libkf5config-dev (>= 5.16.0~),
+         libkf5coreaddons-dev (>= 5.16.0~),
+         libkf5dbusaddons-dev (>= 5.16.0~),
+         libkf5i18n-dev (>= 5.16.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -66,8 +65,8 @@
 Package: libkf5service-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5service5 (<< 5.12.0~)
-Replaces: libkf5service5 (<< 5.12.0~)
+Breaks: libkf5service5 (<= 5.15)
+Replaces: libkf5service5 (<= 5.15)
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DAPPLICATIONS_MENU_NAME="kf5-applications.menu"

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5service5-dbg

override_dh_auto_test:
	# Disable dh_auto_test at build time

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
 
 Tests: acc
 Depends: @, dh-acc, exuberant-ctags
+Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kservice-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kservice-([\d.]+)\.tar\.xz

## kservice 5.26.0

=== debian/changelog ===
kservice (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:49:26 +0100

kservice (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Rik Mills ]
  * New build depends

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:45:51 +0000

kservice (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:17:03 +0200

kservice (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 12:37:21 -0700

kservice (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:46 +0100

kservice (5.19.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Refreshing symbols

 -- Clive Johnston <clivejo@aol.com>  Thu, 03 Mar 2016 20:18:31 +0000

kservice (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,33 +3,35 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: bison,
+               cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
                docbook-xml,
                docbook-xsl,
-               extra-cmake-modules (>= 5.18.0~),
-               kdoctools-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5crash-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               flex,
+               kdoctools-dev (>= 5.26.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5crash-dev (>= 5.26.0~),
+               libkf5dbusaddons-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
                libxml2-utils,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kservice
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kservice.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kservice.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
 
 Package: libkf5service-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.16.0~),
-         libkf5coreaddons-dev (>= 5.16.0~),
-         libkf5dbusaddons-dev (>= 5.16.0~),
-         libkf5i18n-dev (>= 5.16.0~),
+Depends: libkf5config-dev (>= 5.26.0~),
+         libkf5coreaddons-dev (>= 5.26.0~),
+         libkf5dbusaddons-dev (>= 5.26.0~),
+         libkf5i18n-dev (>= 5.26.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -72,15 +74,3 @@
  and plugin locating.
  .
  This package contains kbuildsycoca5.
-
-Package: libkf5service5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5service5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kservice
- Application framework for file type association
- and plugin locating.
- .
- Contains debug symbols for kservice.

## kservice 5.28.0

=== debian/changelog ===
kservice (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:04:57 +0100

kservice (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:02:12 +0200

kservice (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:00:45 +0200

kservice (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Aug 2016 16:36:30 +0200

kservice (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 09:44:31 +0200

kservice (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 May 2016 09:27:09 +0200

kservice (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 May 2016 16:46:00 +0200

=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               docbook-xml,
               docbook-xsl,
               extra-cmake-modules (>= 5.28.0~),
               flex,
               kdoctools-dev (>= 5.25.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5crash-dev (>= 5.28.0~),
               libkf5dbusaddons-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kservice
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kservice.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kservice.git

Package: libkf5service-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.28.0~),
         libkf5coreaddons-dev (>= 5.28.0~),
         libkf5dbusaddons-dev (>= 5.28.0~),
         libkf5i18n-dev (>= 5.28.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.
Breaks: kded5-dev (<< 5.28),
        kio-dev (<< 5.28),
        libkf5emoticons-dev (<< 5.28),
        libkf5kcmutils-dev (<< 5.28),
        libkf5kio-dev (<< 5.28),
        libkf5plasma-dev (<< 5.28),
        libkf5textwidgets-dev (<< 5.28),
        plasma-framework-dev (<< 5.28)

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
Breaks: kded5 (<< 5.28),
        kinit (<< 5.28),
        kio (<< 5.28),
        libkf5emoticons5 (<< 5.28),
        libkf5kcmutils5 (<< 5.28),
        libkf5kdelibs4support5 (<< 5.28),
        libkf5khtml-bin (<< 5.28),
        libkf5khtml5 (<< 5.28),
        libkf5kiocore5 (<< 5.28),
        libkf5kiowidgets5 (<< 5.28),
        libkf5newstuff5 (<< 5.28),
        libkf5parts5 (<< 5.28),
        libkf5people5 (<< 5.28),
        libkf5peoplewidgets5 (<< 5.28),
        libkf5plasma5 (<< 5.28),
        libkf5plasmaquick5 (<< 5.28),
        libkf5runner5 (<< 5.28),
        libkf5su5 (<< 5.28),
        libkf5textwidgets5 (<< 5.28),
        libkf5wallet-bin (<< 5.28),
        libkf5webkit5 (<< 5.28),
        plasma-framework (<< 5.28),
        qml-module-org-kde-kio (<< 5.28)

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kded5 (<< 5.28),
        kinit (<< 5.28),
        kio (<< 5.28),
        libkf5emoticons5 (<< 5.28),
        libkf5kcmutils5 (<< 5.28),
        libkf5kdelibs4support5 (<< 5.28),
        libkf5khtml-bin (<< 5.28),
        libkf5khtml5 (<< 5.28),
        libkf5kiocore5 (<< 5.28),
        libkf5kiowidgets5 (<< 5.28),
        libkf5newstuff5 (<< 5.28),
        libkf5parts5 (<< 5.28),
        libkf5people5 (<< 5.28),
        libkf5peoplewidgets5 (<< 5.28),
        libkf5plasma5 (<< 5.28),
        libkf5plasmaquick5 (<< 5.28),
        libkf5runner5 (<< 5.28),
        libkf5service5 (<= 5.15),
        libkf5su5 (<< 5.28),
        libkf5textwidgets5 (<< 5.28),
        libkf5wallet-bin (<< 5.28),
        libkf5webkit5 (<< 5.28),
        plasma-framework (<< 5.28),
        qml-module-org-kde-kio (<< 5.28)
Replaces: libkf5service5 (<= 5.15)
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: testsuite
 Depends: @builddeps@, build-essential,
-         xvfb, xauth, dbus-x11, openbox,
+         xvfb, xauth, dbus (>= 1.8), openbox,
          kded5, libkf5service-bin
 Restrictions: rw-build-tree

## kservice 5.31.0

=== debian/changelog ===
kservice (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Add the build-needed restriction instead of rw-build-tree; because
    of this no tests were actually executed for this package.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:00 +0000

kservice (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:48 +0000

kservice (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master
  * Drop old kdoctools-dev build dep which is now replaced by
    libkf5doctools-dev

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Override the lintian warning
    symbols-declares-dependency-on-other-package libkf5service-bin
    because this package injects the -bin dependency on purpose to avoid
    possible runtime problems.
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:18:00 +0000

=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               docbook-xml,
               docbook-xsl,
               extra-cmake-modules (>= 5.31.0~),
               flex,
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kservice
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice

Package: libkf5service-dev
Architecture: any
Section: libdevel
Depends: libkf5config-dev (>= 5.31.0~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5dbusaddons-dev (>= 5.31.0~),
         libkf5i18n-dev (>= 5.31.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5service5 (<< 5.12.0~)
Replaces: libkf5service5 (<< 5.12.0~)
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5service5 (<= 5.15)
Replaces: libkf5service5 (<= 5.15)
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

## kservice 5.38.0

=== debian/changelog ===
kservice (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:16:58 +0100

kservice (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:49:09 +0100

kservice (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:51 +0100

kservice (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:59:10 +0100

kservice (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:27:05 +0100

kservice (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:06:41 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                debhelper (>= 9),
                docbook-xml,
                docbook-xsl,
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                flex,
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5crash-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5crash-dev (>= 5.38.0~),
+               libkf5dbusaddons-dev (>= 5.38.0~),
+               libkf5doctools-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
                libxml2-utils,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)
@@ -28,10 +28,10 @@
 Package: libkf5service-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5config-dev (>= 5.31.0~),
-         libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5dbusaddons-dev (>= 5.31.0~),
-         libkf5i18n-dev (>= 5.31.0~),
+Depends: libkf5config-dev (>= 5.38.0~),
+         libkf5coreaddons-dev (>= 5.38.0~),
+         libkf5dbusaddons-dev (>= 5.38.0~),
+         libkf5i18n-dev (>= 5.38.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
